petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISEqual

Compares if two index sets have the same set of indices.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISEqual(IS is1,IS is2,PetscBool  *flg)

Collective on IS

### Input Parameters

is1, is2 -The index sets being compared

### Output Parameters

flg -output flag, either PETSC_TRUE (if both index sets have the same indices), or PETSC_FALSE if the index sets differ by size or by the set of indices)

### Note

This routine sorts the contents of the index sets before the comparision is made, so the order of the indices on a processor is immaterial.

Each processor has to have the same indices in the two sets, for example,

              Processor

                0      1

       is1 = {0, 1} {2, 3}

       is2 = {2, 3} {0, 1}

will return false.

### See Also

ISEqualUnsorted()

### Level

intermediate

### Location

src/vec/is/is/utils/iscomp.c

### Implementations

ISEqual_private in src/mat/impls/sbaij/mpi/mpisbaij.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages